import { Metric } from '@aws-cdk/aws-cloudwatch';
declare const enum Metrics {
    Invocations = "Invocations",
    Duration = "Duration",
    Errors = "Errors",
    Throttles = "Throttles"
}
export declare class LambdaMetricFactory {
    metricInvocations(functionName: string): Metric;
    metricDuration(functionName: string): {
        min: Metric;
        avg: Metric;
        p50: Metric;
        p90: Metric;
        p99: Metric;
        max: Metric;
    };
    metricErrors(functionName: string): Metric;
    metricThrottles(functionName: string): Metric;
    protected metric(metric: Metrics, functionName: string): Metric;
}
export {};
